/*Main pg CSS*/

.main-portfolio h1 {
    display: flex;
    justify-content: center;
    margin: 30px;
    height: 25vh;
}

.name1, .name2, .name3, .name4 {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 10vh;
    font-size: 24px;
    border: 1px solid #5757e0;
    border-radius: 15px;
    margin-bottom: 20px;
    font-weight: bold;
    position: relative;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out;
    overflow: hidden;
}

.wave-hand-container {
    position: absolute;
    top: 42%;
    left: 15px;
    width: 30px;
    height: 30px;
    opacity: 0;
    transform: translate(0, -50%);
    transition: opacity 0.3s ease-in-out, transform 0.3s ease-in-out;
}

.wave-hand-container img {
    width: 100%;
    height: 100%;
}

.name1:hover, .name2:hover, .name3:hover, .name4:hover {
    background-color: #5757E0;
    color: transparent;
}

.name1:hover .wave-hand-container,
.name2:hover .wave-hand-container,
.name3:hover .wave-hand-container,
.name4:hover .wave-hand-container {
    opacity: 1;
    transform: translate(0, -50%) scale(1);
}

.name1:hover::after {
    content: "Hi, I am Vaishnavi. Please visit my portfolio website";
    font-size: 18px;
    font-weight: bold;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-45%, -50%);
    text-align: left;
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
    display:flex;
    align-items: center;
    gap: 5px;
    white-space: normal;
    word-wrap: break-word;
}

.name2:hover::after {
    content: "Hi, I am Akshara. Please visit my portfolio website";
    font-size: 18px;
    font-weight: bold;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-45%, -50%);
    text-align: left;
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
    display:flex;
    align-items: center;
    gap: 5px;
    white-space: normal;
    word-wrap: break-word;
}

.name3:hover::after {
    content: "Hi, I am Sharayu. Please visit my portfolio website";
    font-size: 18px;
    font-weight: bold;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-45%, -50%);
    text-align: left;
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
    display:flex;
    align-items: center;
    gap: 5px;
    white-space: normal;
    word-wrap: break-word;
}

.name4:hover::after {
    content: "Hi, I am Vaishnavi G. Please visit my portfolio website";
    font-size: 18px;
    font-weight: bold;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-45%, -50%);
    text-align: left;
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
    display:flex;
    align-items: center;
    gap: 5px;
    white-space: normal;
    word-wrap: break-word;}



/* Vaishnavi Portfolio CSS */

.dark-mode .navbar li a:hover{
    color: #5757E0 !important;
}

.dark-mode .navbar li a.active{
    color:#5757E0 !important;
    font-weight: bold;
}

body{
    background-color:white ;
    color:black;
    overflow-x:hidden;
}

body.dark-mode{
    background-color: #161627;
    color:white !important;
    transition: color 0.3s ease-in-out;
}

.dark-mode-toggle{
    position:absolute;
    top:20px;
    right:20px;
}

.dark-mode-toggle button{
    background:none;
    border:none;
    cursor:pointer;
    font-size:20px;
}

body.dark-mode .dark-mode-toggle i{
    color:white !important;
}

body.dark-mode ul.navbar li a{
    color:white !important;
}

.navbar-name.col-lg-3.col-xl-3.col-md-3 {
    justify-content: center;
    display: flex;
    align-items: center;
}

.navbar {
    gap: 20px;
    margin: 0;
}

ul.navbar li {
    list-style-type: none;
}

.navbar li a {
    text-decoration: none;
    color: black;
    font-size: 18px;
    transition: color 0.3s ease-in-out;
    font-weight: 500;
}

.navbar li a:hover {
    color: #5757E0;
}

.navbar li a.active {
    color: #5757E0 !important;
    font-weight: bold;
}

.navdata.col-lg-8.col-xl-8.col-md-8 {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}


/*Home Section CSS*/

div#home {
    height: 88vh;
    margin-top: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.social-github {
    display: flex;
    justify-content: center;
}

.social-linkedIn {
    justify-content: center;
    display: flex;
}

.intro-sec.col-lg-5 h3 {
    color: #BABAC4;
    margin-top: 10px;
    margin-bottom: 10px;
}

.intro-sec.col-lg-5.col-md-5.col-xl-5 P {
    COLOR: #babac4; 
}

i.fa-brands.fa-linkedin {
    font-size: 5vh;
}

i.fa-brands.fa-github {
    font-size: 5vh;
}

i.fa-brands.fa-whatsapp {
    font-size: 5vh;
}

a.button-contact {
    text-decoration: none;
    color: #fff;
    padding: 16px;
    background-color: #5757e0;
    border-radius: 12px;
    font-size: 16px;
    font-weight: bold;
}

.intro-sec-contact {
    margin-top: 40px;
    margin-bottom: 40px;
}

.intro-sec.col-lg-5 p {
    margin-bottom: 20px !important;
}

header.row.header-data {
    height: 12vh;
}

.intro-sec-image.col-lg-5.col-md-5.col-xl-5 img {
    height: 40vh;
    width: 25vw;
    border-radius: 20px;
}

i.fa-solid.fa-computer-mouse {
    margin-right: 4px;
    color: #4B66E0;
}

i.fa-solid.fa-arrow-down {
    margin-left: 4px;
    color: #4B66E0;
}

a.button-scrolldown {
    text-decoration: none;
    color :#000;
}

.dark-mode a.button-scrolldown {
    text-decoration: none;
    color: white !important;
}


/* About-me section CSS*/

img {
    height: 40vh;
    width: 20vw;
    border-radius: 20px;
}

.my-introduction {
    display:flex;
    justify-content: center;
    align-items: center;
}

.about-me-my-introduction.col-lg-12.col-md-12.col-xl-12.col-xxl-12 h1 {
    display: flex;
    justify-content: center;
    align-items: center;
}

div#about {
    height: 100vh;
    display:flex;
    justify-content: center;
}

.intro-sec-image.col-lg-4.col-md-4.col-xl-4.col-xxl-4 {
    display: flex;
    justify-content: center;
    align-items: center;
}

span.about-info-title {
    display: block;
    text-align: center;
}

span.about-info-name {
    display: block;
    text-align: center;
}

.about-info {
    display: flex;
    justify-content: space-between;
    padding: 0 20px;
}

a.button-cv {
    text-decoration: none;
    color: #fff;
    padding :16px;
    background-color: #5757e0;
    border-radius: 12px;
    font-size: 16px;
    font-weight: bold;
}

.about-sec-cv{
    margin-top: 40px;
    margin-bottom: 40px;
}

.about-me-my-introduction.col-lg-12.col-md-12.col-xl-12.col-xxl-12 p {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Achievement Section CSS */

a.button-certificate1 {
    text-decoration: none;
    color: #fff;
    padding :16px;
    background-color: #5757e0;
    border-radius: 12px;
    font-size: 16px;
    font-weight: bold;
}

a.button-certificate2 {
    text-decoration: none;
    color: #fff;
    padding :16px;
    background-color: #5757e0;
    border-radius: 12px;
    font-size: 16px;
    font-weight: bold;
}

a.button-certificate3 {
    text-decoration: none;
    color: #fff;
    padding :16px;
    background-color: #5757e0;
    border-radius: 12px;
    font-size: 16px;
    font-weight: bold;
}

a.button-certificate4 {
    text-decoration: none;
    color: #fff;
    padding :16px;
    background-color: #5757e0;
    border-radius: 12px;
    font-size: 16px;
    font-weight: bold;
}


.achievements-heading.col-lg-12.col-md-12.col-xl-12.col-xxl-12 {
    display: flex;
    align-items: center;
    justify-content: center;
    
}

.certificate-details {
    display: flex;
}

.download-cert1 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.download-cert2 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.download-cert3 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.download-cert4 {
    display: flex;
    justify-content: center;
    align-items: center;
}


.achievements-sec-certificate1.col-lg-3.col-md-3.col-xl-3.col-xxl-3 {
    padding: 15px;
}

.achievements-sec-certificate2.col-lg-3.col-md-3.col-xl-3.col-xxl-3 {
    padding: 15px;
}

.achievements-sec-certificate3.col-lg-3.col-md-3.col-xl-3.col-xxl-3 {
    padding: 15px;
}

.achievements-sec-certificate4.col-lg-3.col-md-3.col-xl-3.col-xxl-3 {
    padding: 15px;
}

.achievements-sec-certificate1.col-lg-3.col-md-3.col-xl-3.col-xxl-3 h3 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;

}

.achievements-sec-certificate2.col-lg-3.col-md-3.col-xl-3.col-xxl-3 h3 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;

}

.achievements-sec-certificate3.col-lg-3.col-md-3.col-xl-3.col-xxl-3 h3 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;

}

.achievements-sec-certificate4.col-lg-3.col-md-3.col-xl-3.col-xxl-3 h3 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;

}

h4.certificate-heading1 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}


h4.certificate-heading2 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}


h4.certificate-heading3 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}


h4.certificate-heading4 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

img.certificate-image1 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

img.certificate-image2 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

img.certificate-image3 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

img.certificate-image4 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.achievements-sec-certificate1.col-lg-3.col-md-3.col-xl-3.col-xxl-3  h4 {
    height: 20vh;
}

.achievements-sec-certificate2.col-lg-3.col-md-3.col-xl-3.col-xxl-3 h4 {
    height: 20vh;
}


.achievements-sec-certificate3.col-lg-3.col-md-3.col-xl-3.col-xxl-3 h4 {
    height: 20vh;
}


.achievements-sec-certificate4.col-lg-3.col-md-3.col-xl-3.col-xxl-3 h4 {
    height: 20vh;
}

div#achievements {
    height: 100vh;
}

div#achievements {
    margin-top: 200px;
}

/* Contact-me Section */

div#contact-me {
    height: 70vh;
}


.contact-me-heading h2 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact-me-heading h4 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.con-sec-number {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
}

.con-sec-email {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
}

.con-sec-location {
    display: flex;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
}

.con-sec-number-detail p {
    padding: 0px;
    margin: 0px;
}
.con-sec-email-detail p {
    padding: 0px;
    margin: 0px;
}
.con-sec-location-detail p {
    padding: 0px;
    margin: 0px;
}

.form-container {
    background: white;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

form#contactForm input {
    padding: 10px;
    width: 100%;
    margin: 8px 0px;
    border: 1px solid #ccc;
    border-radius: 5px;
    color: #babac4;
}

form#contactForm textarea {
    padding: 10px;
    width: 100%;
    margin: 8px 0px;
    border: 1px solid #ccc;
    border-radius: 5px;
    color: #babac4;
}

form#contactForm button {
    padding: 20px;
    margin: 8px 0px;
    border: 1px solid #ccc;
    border-radius: 10px;
    color: #fff;
    background-color: #5757E0;
}

.dark-mode .form-container {
    background: #1d1d35;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.dark-mode #contactForm input {
    padding: 10px;
    width: 100%;
    margin: 8px 0px;
    border: 1px solid #ccc;
    border-radius: 5px;
    color: #babac4;
    background-color: #1d1d35;
}

.dark-mode #contactForm textarea {
    padding: 10px;
    width: 100%;
    margin: 8px 0px;
    border: 1px solid #ccc;
    border-radius: 5px;
    color: #babac4;
    background-color: #1d1d35;
}



/* Project CSS*/

.projects-section {
    text-align: center;
    padding: 40px 20px;
}

.projects-heading h2 {
    font-size: 2rem;
    margin-bottom: 20px;
}

.slider-container {
    position: relative;
    max-width: 600px;
    margin: auto;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    background: white;
}

.slide {
    display: none;
    text-align: center;
    padding: 10px;
}

.slide img {
    width: 100%;
    height: auto;
    border-radius: 10px;
}

.slide.active {
    display: block;
}

.project-title {
    margin-top: 10px;
    font-size: 1.5rem;
    font-weight: bold;
    color: #333;
}

.prev, .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.5);
    color: white;
    padding:10px;
    border: none;
    cursor: pointer;
    font-size: 20px;
    border-radius: 50%;
}

.prev {
    left: 10px;
}

.next {
    right: 10px;
}


.prev:hover, .next:hover {
    background: black;
}

.project-description p {
    color: black;
}

.slide img {
    width: 100%;
    height: 70vh;
    object-fit: contain;
    border-radius: 10px;
}

.Project-description {
    color: #000;
}

.project-description {
    color: #000;
}

div#projects {
    margin-top: 100px;
}

/*Qulification CSS*/

.qualifications-heading h2 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.qualifications-heading p {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
}
.education-qualify {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.education-qualify p {
    padding: 0px;
    margin: 0px;
}

div#qualifications {
    margin-bottom: 30px;
}

div#qualifications {
    height: 60vh;
}

.qualification-calendar {
    font-size: 20px;
}

.education-qualify {
    font-size: 30px;
}


/*Skills CSS*/

.skills-heading h2 {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

.dropdown {
    position: relative;
    display: inline-block;
    width: 100%;
    margin-bottom: 15px;
}

.dropdown-btn {
    width: 100%;
    background-color: #007bff;
    color: white;
    border: none;
    padding: 10px 15px;
    font-size: 18px ;
    cursor: pointer;
    border-radius: 5px;
    text-align: left;
}

.dropdown-btn:hover {
    background-color: #0056b3;
}

.dropdown-menu {
    display: none;
    position: absolute;
    background-color: white;
    width: 100%;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    padding: 5px 0;
    z-index: 100;
}


.dropdown-menu li {
    list-style: none;
    padding: 10px;
    cursor: pointer;
    color: #333;
    font-size: 14px;
}

.dropdown-menu li:hover {
    background-color: #007bff;
    color: white;
}

.dropdown.active .dropdown-menu {
    display: block;
}

div#skills {
    margin-bottom: 30px;
    height: 60vh;
}

/* Footer CSS*/

.footer-myname.col-lg-6.col-md-6.col-xl-6.col-xxl-6 h1 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-myname.col-lg-6.col-md-6.col-xl-6.col-xxl-6 p {
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-copyright.col-lg-12.col-md-12.col-xl-12.col-xxl-12 p {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
}

.footer-mysociallink.col-lg-6.col-md-6.col-xl-6.col-xxl-6 p {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
}

.my-social-link {
    display: flex;
    justify-content: center;
    align-items: center;
    gap:20px;
}

footer.portfolio-footer {
    background-color: #5757e0;
    color:white ;
    height: 20vh;
}

.dark-mode footer.portfolio-footer {
    background-color: #111;;
    color:white ;
    height: 20vh;
}

.my-social-whatsapp a {
    text-decoration: none;
    color: #fff;
}

.my-social-linkedin a {
    text-decoration: none;
    color: #fff;
}

.my-social-github a {
    text-decoration: none;
    color: #fff;
}

.vaish-achievements-heading.col-lg-12.col-md-12.col-xl-12.col-xxl-12 {
    text-align: center;
    margin-bottom: 20px;
}

.vaish-certificate-details {
    display: flex;
    text-align: center;
    
}

h4.vaish-certificate-heading1 {
    margin-bottom: 20px;
}

.vaish-download-cert1 {
    margin-top: 30px;
}

h4.vaish-certificate-heading2 {
    margin-bottom: 20px;
}

.vaish-download-cert2 {
    margin-top: 30px;
}

h4.vaish-certificate-heading3 {
    margin-bottom: 20px;
}

.vaish-download-cert3 {
    margin-top: 30px;
}


